// Footer --------------

@import "./src/lib/core/variables";

.footer {
  padding-top: 50px;
  padding-bottom: 50px;

  @include mq("desktop", "max") {
    padding-top: 30px;
    padding-bottom: 30px;
  }
}

.footer_container {
  display: flex;
  flex-direction: column;
  max-width: 700px;
  padding-right: 15px;
  padding-left: 15px;
  margin-right: auto;
  margin-left: auto;
  text-align: center;
}

.footer__social-list {
  max-width: 200px;
  margin-right: auto;
  margin-bottom: 35px;
  margin-left: auto;
  text-align: center;

  @include mq("tablet", "max") {
    margin-bottom: 25px;
  }

  .social-list__link {
    height: 40px;
  }
}

.footer__list {
  display: flex;
  justify-content: space-between;
  margin-bottom: 30px;

  @include mq("laptop-small", "max") {
    flex-direction: column;
  }

  @include mq("tablet", "max") {
    margin-bottom: 15px;
  }
}

.footer__link {
  color: $color-primary;
  text-decoration: underline;

  &:hover {
    color: $color-secondary;
    text-decoration: none;
  }

  + .footer__link {
    margin-left: 55px;

    @include mq("laptop-small", "max") {
      margin-top: 30px;
      margin-left: 0;
    }

    @include mq("tablet", "max") {
      margin-top: 20px;
    }
  }
}

.footer__copyright {
  color: #626262;
}
// -------------- end footer
